# Yahoo! UI Library

### TreeView Widget

Yahoo! UI Library > treeview > YAHOO.widget.HTMLNode

## Class YAHOO.widget.HTMLNode - extends YAHOO.widget.Node

This implementation takes either a string or object for the oData argument. If is it a string, we will use it for the display of this node (and it can contain any html code). If the parameter is an object, we look for a parameter called "html" that will be used for this node's display.

### Constructor

YAHOO.widget.HTMLNode `( oData , oParent , expanded , hasIcon )`

Parameters:
  `oData <object>` a string or object containing the data that will be used to render this node
  `oParent <YAHOO.widget.Node>` this node's parent node
  `expanded <boolean>` the initial expanded/collapsed state
  `hasIcon <boolean>` specifies whether or not leaf nodes should have an icon

### Properties

#### content `- string`

The HTML content to use for this node's display

#### contentElId `- string`

The generated id that will contain the data passed in by the implementer.

#### contentStyle `- string`

The CSS class for the html content container. Defaults to ygtvhtml, but can be overridden to provide a custom presentation for a specific node.

#### initContent `- Object`

Sets up the node label

#### Properties inherited from YAHOO.widget.Node:

`_dynLoad, _type, children, childrenRendered, data, dataLoader, depth, dynamicLoadComplete, expanded, hasIcon, href, iconMode, index, isLoading, multiExpand, nextSibling, parent, previousSibling, renderHidden, target, tree`

### Methods

#### getContentEl

`HTMLElement getContentEl ( )`
Returns the outer html element for this node's content

Returns: `HTMLElement`
  the element

#### Methods inherited from YAHOO.widget.Node:

`appendChild, appendTo, applyParent, collapse toggle style., collapseAll, completeRender, expand, expandAll, getAncestor, getChildrenEl, getChildrenElId, getChildrenHtml, getDepthStyle, getEl, getElId, getHoverStyle, getHtml, getIconMode, getNodeHtml, getSiblings, getStyle, getToggleEl, getToggleElId, getToggleLink, hasChildren, hideChildren, init, insertAfter, insertBefore, isChildOf, isDynamic, isRoot, loadComplete, refresh, renderChildren, setDynamicLoad, showChildren, toggle, toString`

#### Events inherited from YAHOO.widget.Node:

`parentChange`

Copyright © 2006 Yahoo! Inc. All rights reserved.